Bug 1686896 - packageserver needs to use imagePullPolicy "IfNotPresent" [NEEDINFO]
Summary: packageserver needs to use imagePullPolicy "IfNotPresent"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Evan Cordell
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-08 15:52 UTC by Jessica Forrester
Modified: 2019-06-04 10:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:45:20 UTC
Target Upstream Version:
jiazha: needinfo? (jforrest)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:26 UTC

Description Jessica Forrester 2019-03-08 15:52:46 UTC
packageserver needs to use imagePullPolicy of always, see https://github.com/openshift/origin/pull/22230

Snipped from the test:
Mar  5 04:02:10.951: INFO: Pods found with invalid container image pull policy not equal to IfNotPresent: 
openshift-operator-lifecycle-manager/packageserver-58b67c5b9b-7ckmm/packageserver imagePullPolicy=Always
openshift-operator-lifecycle-manager/packageserver-58b67c5b9b-fxtp8/packageserver imagePullPolicy=Always

Comment 1 Evan Cordell 2019-03-08 15:56:52 UTC
All CVO payloads should use IfNotPresent. The PR you linked indicates this as well: https://github.com/openshift/origin/pull/22230

Here is the PR changing OLM to comply with that: https://github.com/operator-framework/operator-lifecycle-manager/pull/738

Comment 2 Evan Cordell 2019-03-08 15:57:12 UTC
All CVO payloads should use IfNotPresent. The PR you linked indicates this as well: https://github.com/openshift/origin/pull/22230

Here is the PR changing OLM to comply with that: https://github.com/operator-framework/operator-lifecycle-manager/pull/738

Comment 3 Jian Zhang 2019-03-11 02:23:59 UTC
Jessica, Evan

As Jessica said:
> packageserver needs to use imagePullPolicy of always

For now, the pull policy of pakcageserver already is "always":
[jzhang@dhcp-140-18 ocp-09]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.0.0-0.nightly-2019-03-06-074438   True        False         35h     Cluster version is 4.0.0-0.nightly-2019-03-06-074438
[jzhang@dhcp-140-18 ocp-09]$ oc get pods -o yaml -n openshift-operator-lifecycle-manager|grep     imagePullPolicy:
      imagePullPolicy: IfNotPresent
      imagePullPolicy: IfNotPresent
      imagePullPolicy: IfNotPresent
      imagePullPolicy: Always
      imagePullPolicy: Always

but, as the log shows, seems like we should use the "IfNotPresent". I'm confused, what's pull policy of the packageserver should be? Thanks!
> e2e.Logf("Pods found with invalid container image pull policy not equal to IfNotPresent: %s", strings.Join(invalidPodContainerImagePullPolicy.List(), "\n"))
> Pods found with invalid container image pull policy not equal to IfNotPresent: 
openshift-operator-lifecycle-manager/packageserver-58b67c5b9b-7ckmm/packageserver imagePullPolicy=Always

Comment 4 Evan Cordell 2019-03-14 15:19:25 UTC
> I'm confused, what's pull policy of the packageserver should be? 

It should be "IfNotPresent"

Comment 5 Jian Zhang 2019-03-15 02:07:08 UTC
LGTM, verify it.

[jzhang@dhcp-140-18 ocp14]$ oc get pods
NAME                                READY   STATUS    RESTARTS   AGE
catalog-operator-7fc84685c9-lvnlh   1/1     Running   0          22h
olm-operator-575b5f98d8-tgmlj       1/1     Running   0          22h
olm-operators-5nj66                 1/1     Running   0          22h
packageserver-7bc64c5d66-9dgcq      1/1     Running   0          138m
packageserver-7bc64c5d66-pxv2d      1/1     Running   0          138m

[jzhang@dhcp-140-18 ocp14]$ oc get pods -o yaml|grep imagePullPolicy
      imagePullPolicy: IfNotPresent
      imagePullPolicy: IfNotPresent
      imagePullPolicy: IfNotPresent
      imagePullPolicy: IfNotPresent
      imagePullPolicy: IfNotPresent

Cluster version: 4.0.0-0.nightly-2019-03-13-233958
olm info:
               io.openshift.build.commit.id=840d806a3b20e5ebb7229631d0168864b1cfed12
               io.openshift.build.commit.url=https://github.com/operator-framework/operator-lifecycle-manager/commit/840d806a3b20e5ebb7229631d0168864b1cfed12
               io.openshift.build.source-location=https://github.com/operator-framework/operator-lifecycle-manager

Comment 7 errata-xmlrpc 2019-06-04 10:45:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.